=== src/ds5/CMakeLists.txt ===
target_sources(${LRS_TARGET}
    PRIVATE
        "${CMAKE_CURRENT_LIST_DIR}/ds5-options.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/ds5-timestamp.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/ds5-private.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/ds5-motion.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/ds5-rolling-shutter.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/ds5-device.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/ds5-color.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/ds5-active.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/ds5-factory.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/advanced_mode/rs_advanced_mode.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/advanced_mode/presets.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/advanced_mode/advanced_mode.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/ds5-factory.h"
        "${CMAKE_CURRENT_LIST_DIR}/ds5-device.h"
        "${CMAKE_CURRENT_LIST_DIR}/ds5-options.h"
        "${CMAKE_CURRENT_LIST_DIR}/ds5-private.h"
        "${CMAKE_CURRENT_LIST_DIR}/ds5-timestamp.h"
        "${CMAKE_CURRENT_LIST_DIR}/ds5-active.h"
        "${CMAKE_CURRENT_LIST_DIR}/ds5-motion.h"
        "${CMAKE_CURRENT_LIST_DIR}/ds5-rolling-shutter.h"
        "${CMAKE_CURRENT_LIST_DIR}/ds5-color.h"
        "${CMAKE_CURRENT_LIST_DIR}/advanced_mode/json_loader.hpp"
        "${CMAKE_CURRENT_LIST_DIR}/advanced_mode/presets.h"
)
