=== debian/changelog ===
ros-dashing-librealsense2 (2.16.5-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Sergey Dorodnicov <sergey.dorodnicov@intel.com>  Mon, 20 May 2019 11:43:02 -0000
